org.jboss.resteasy.spi.metadata

## Class ResourceBuilder

- java.lang.Object
- - org.jboss.resteasy.spi.metadata.ResourceBuilder

-     public class ResourceBuilder
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ResourceBuilder.ConstructorParameterBuilder`
    `static class` | `ResourceBuilder.FieldParameterBuilder`
    `static class` | `ResourceBuilder.LocatorMethodParameterBuilder<T extends ResourceBuilder.LocatorMethodParameterBuilder>`
    `static class` | `ResourceBuilder.ParameterBuilder<T extends ResourceBuilder.ParameterBuilder>`
    `static class` | `ResourceBuilder.ResourceClassBuilder`
    `static class` | `ResourceBuilder.ResourceConstructorBuilder`
    `static class` | `ResourceBuilder.ResourceLocatorBuilder<T extends ResourceBuilder.ResourceLocatorBuilder>`
    `static class` | `ResourceBuilder.ResourceMethodBuilder`
    `static class` | `ResourceBuilder.ResourceMethodParameterBuilder`
    `static class` | `ResourceBuilder.SetterParameterBuilder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ResourceConstructor` | `constructor(Class<?> annotatedResourceClass)` Picks a constructor from an annotated resource class based on spec rules
    `static ResourceBuilder.ResourceClassBuilder` | `locator(Class<?> root)`
    `static ResourceClass` | `locatorFromAnnotations(Class<?> clazz)`
    `protected static void` | `processDeclaredFields(ResourceBuilder.ResourceClassBuilder resourceClassBuilder, Class<?> root)`
    `protected static void` | `processDeclaredSetters(ResourceBuilder.ResourceClassBuilder resourceClassBuilder, Class<?> root, Set<Long> visitedHashes)`
    `protected static void` | `processFields(ResourceBuilder.ResourceClassBuilder resourceClassBuilder, Class<?> root)`
    `protected static void` | `processMethod(boolean isLocator, ResourceBuilder.ResourceClassBuilder resourceClassBuilder, Class<?> root, Method implementation)`
    `protected static void` | `processSetters(ResourceBuilder.ResourceClassBuilder resourceClassBuilder, Class<?> root)`
    `static ResourceBuilder.ResourceClassBuilder` | `rootResource(Class<?> root)`
    `static ResourceBuilder.ResourceClassBuilder` | `rootResource(Class<?> root, String path)`
    `static ResourceClass` | `rootResourceFromAnnotations(Class<?> clazz)` Build metadata from annotations on classes and methods

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceBuilder

          public ResourceBuilder()

  - ### Method Detail

    - #### rootResource

          public static ResourceBuilder.ResourceClassBuilder rootResource(Class<?> root)

    - #### rootResource

          public static ResourceBuilder.ResourceClassBuilder rootResource(Class<?> root,
                                                          String path)

    - #### locator

          public static ResourceBuilder.ResourceClassBuilder locator(Class<?> root)

    - #### constructor

          public static ResourceConstructor constructor(Class<?> annotatedResourceClass)

      Picks a constructor from an annotated resource class based on spec rules
      Parameters:
        `annotatedResourceClass` -
      Returns:

    - #### rootResourceFromAnnotations

          public static ResourceClass rootResourceFromAnnotations(Class<?> clazz)

      Build metadata from annotations on classes and methods
      Returns:

    - #### locatorFromAnnotations

          public static ResourceClass locatorFromAnnotations(Class<?> clazz)

    - #### processFields

          protected static void processFields(ResourceBuilder.ResourceClassBuilder resourceClassBuilder,
                           Class<?> root)

    - #### processSetters

          protected static void processSetters(ResourceBuilder.ResourceClassBuilder resourceClassBuilder,
                            Class<?> root)

    - #### processDeclaredFields

          protected static void processDeclaredFields(ResourceBuilder.ResourceClassBuilder resourceClassBuilder,
                                   Class<?> root)

    - #### processDeclaredSetters

          protected static void processDeclaredSetters(ResourceBuilder.ResourceClassBuilder resourceClassBuilder,
                                    Class<?> root,
                                    Set<Long> visitedHashes)

    - #### processMethod

          protected static void processMethod(boolean isLocator,
                           ResourceBuilder.ResourceClassBuilder resourceClassBuilder,
                           Class<?> root,
                           Method implementation)

Copyright © 2014. All Rights Reserved.